XF 1.5 Upgrade from 1.5 to latest

myissue

Member
Hi
I try to upgrade but without success.
Now i create a new forum, can i import just users from 1.5 to the Xenforo latest version?
 

myissue

Member
@Brogan
Fatal error: Uncaught Error: Class 'XenForo_Helper_File' not found in /var/home/webdizaj/public_html/library/XenForo/Error.php:78 Stack trace: #0 /var/home/webdizaj/public_html/library/XenForo/Application.php(381): XenForo_Error::unexpectedException(Object(XenForo_Exception)) #1 [internal function]: XenForo_Application::handleException(Object(XenForo_Exception)) #2 {main} thrown in /var/home/webdizaj/public_html/library/XenForo/Error.php on line 78
 

Brogan

XenForo moderator
Staff member
That sounds like missing files.

Try uploading the files again.

If you have cPanel, upload the zip archive and extract on the server - it's the quickest method and least prone to errors.
 

myissue

Member
@Brogan
Fatal error: Uncaught Error: Class 'XenForo_Helper_File' not found in /var/home/webdizaj/public_html/library/XenForo/Error.php:78 Stack trace: #0 /var/home/webdizaj/public_html/library/XenForo/Application.php(381): XenForo_Error::unexpectedException(Object(XenForo_Exception)) #1 [internal function]: XenForo_Application::handleException(Object(XenForo_Exception)) #2 {main} thrown in /var/home/webdizaj/public_html/library/XenForo/Error.php on line 78
 

Brogan

XenForo moderator
Staff member
Not from 1.5 to 2.2.

Resolving the upgrade issue rather than doing a new installation and import would be the recommended path.
 

myissue

Member
@Brogan
I try and simply do not work, i unisntall all add-ons, styles ...
This is what i get:

Internal Server Error​

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@email.com to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.
 

myissue

Member
@Brogan i try all, 2 days i was mistreated ...
Well, after 2 days, i almost buy another forum engine, i delete .htacces from the folder "library" and the update was smooth.
I can't believe that this crap makes my life ... i lose 2 days ... i can't believe it!
 
Last edited:

myissue

Member
@Brogan
I have this error
[15-Mar-2021 16:05:15 UTC] PHP Warning: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in /home/website/public_html/forum/library/XenForo/Locale.php on line 201
 

Brogan

XenForo moderator
Staff member
That's an issue related to attempting to run a version of XF on a PHP version (7.x) which it is not compatible with.

When upgrading an XF1 installation to XF2, the steps are as follows:
  • uninstall any add-ons which won't be used in XF2 (e.g. there is no equivalent version and it's never going to be upgraded)
  • upgrade the server to a minimum PHP version of 7.0
  • upload the XF2 files to the server
  • run the upgrade script

That's all that is required.
 

myissue

Member
@Brogan
Can you tell me what is this
Fatal error: Uncaught Error: Class 'XenForo_Helper_File' not found in /var/home/webdizaj/public_html/library/XenForo/Error.php:78 Stack trace: #0 /var/home/webdizaj/public_html/library/XenForo/Application.php(381): XenForo_Error::unexpectedException(Object(XenForo_Exception)) #1 [internal function]: XenForo_Application::handleException(Object(XenForo_Exception)) #2 {main} thrown in /var/home/webdizaj/public_html/library/XenForo/Error.php on line 78
 
Top